package com.platform.entity;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author abnerhou
 * @date 2020/9/11 21:11
 * @desciption
 */
public class WxLiveRoomGoodsVo implements Serializable {


    /**
     * cover_img : http://http://mmbiz.qpic.cn/mmbiz_jpg/Rl1RuuhdstSfZa8EEljedAYcbtX3Ejpdl2et1tPAQ37bdicnxoVialDLCKKDcPBy8Iic0kCiaiaalXg3EbpNKoicrweQ/0?wx_fmt=jpeg
     * url : pages/index/index.html
     * price : 1100
     * name : 茶杯
     */

    @JSONField(name = "cover_img")
    private String coverImg;
    @JSONField(name = "url")
    private String url;
    @JSONField(name = "price")
    private BigDecimal price;
    @JSONField(name = "name")
    private String name;

    @JSONField(name = "goods_id")
    private int goodsId;

    public int getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(int goodsId) {
        this.goodsId = goodsId;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
